%define name pondus
%define version 0.8.0
%define release %mkrel 1

Summary:        A personal weight manager
Summary(de):	Ein persönlicher Gewichtsmanager
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Office
License:        GPLv3
URL:            http://www.ephys.de/software/pondus/
Source0:        http://www.ephys.de/software/pondus/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
Requires:       pygtk2.0
Requires:       python-matplotlib
Requires:	python >= 2.6.6
Obsoletes:  %name < %version



%description
Pondus is a personal weight manager that keeps track of your body weight.
It aims to be simple to use, lightweight and fast. The data can be plotted
to get a quick overview of the history of your weight. A simple weight planner
allows to define "target weights" and this plan can be compared with the actual
measurements in a plot.

%description -l de
Pondus ist ein persönlicher Gewichtsmanager mit dem Sie den Überblick über Ihr
Körpergewicht behalten. Seine Ziele sind eine leichte Handhabung, Leichtgewichtigkeit
und Schnelligkeit. Die Daten können geplottet werden um einen schnellen Überblick über
den Verlauf Ihrer Gewichtsentwicklung zu bekommen. Ein einfacher Gewichtsplaner
erlaubt es ein "Zielgewicht" zu definieren und dieser Plan kann dann mit aktuellen
Messungen im Plot verglichen werden.

%prep
%setup -q


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

desktop-file-install --vendor="" \
      --remove-category="Utility" \
      --add-category="Office" \
      --add-category="X-MandrivaLinux-Office-Accessories" \
      --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README CONTRIBUTING NEWS 
#ghost %{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/icons/hicolor/*
%{_mandir}/man1/%{name}.1.bz2
%{py_sitedir}/*

%changelog
* Tue Feb 28 2012 Neal <nealbrks0 at gmail dot com> 0.8.0-1pclos2012
- process

* Tue Feb 28 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.0-1pclos2012
- 0.8.0
- added german summary and description
- commented %ghost line in file section can't install with that

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.7.2-2pclos2010
- rebuild python 2.6.6

* Sun Feb 14 2010 slick50 <lxgator@gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Mon Jan 25 2010 slick50 <lxgator@gmail.com> 0.7.1-1pclos2010
- 0.7.1

* Tue Dec 22 2009 slick50 <lxgator@gmail.com> 0.7.0-1pclos2010
- 0.7.0

* Wed Jul 22 2009 slick50 <lxgator@gmail.com> 0.6.0-1pclos2009
- initial build
